/*****************************************************************************/
/* Project:     Fractals                                                        
/* Author:      Eugene Sirota                                                   
/* Created:     2008                                                            
/*****************************************************************************/

using System;
using System.Collections.Generic;
using System.Linq;

namespace Fractals.Core
{
	public static class ArrayExtensions
	{
		public static T[] DeepClone<T>(this T[] arr) where T : ICloneable
		{
			return new List<T>((from item in arr select (T)item.Clone())).ToArray();
		}
	}
}
