/*****************************************************************************/
/* Project:     Fractals                                                        
/* Author:      Eugene Sirota                                                   
/* Created:     2008                                                            
/*****************************************************************************/

using System;
using System.Windows.Forms;
using Fractals.Drawing;
using Fractals.Core;
using Fractals.Geometry;

namespace Fractals.Windows
{
	static class Program
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main()
		{			
			Init();
			Application.EnableVisualStyles();
			Application.SetCompatibleTextRenderingDefault(false);
		    Application.Run(new MainForm());		    
		}

		static void Init()
		{
            GlobalObjects.Inst.Add("Space", new PositionedObjectsCollection());
            //TODO: subscribe on  PositionedObjectsCollection Remove event and delete entrues from ObjectDrawerMap
		}
	}
}
